Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractInplaceSelect

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectOne
                          org.richfaces.component.AbstractSelectComponent
                              org.richfaces.component.AbstractInplaceSelect

All Implemented Interfaces:
  EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.component.InplaceComponent

Direct Known Subclasses:
  UIInplaceSelect

    public abstract class AbstractInplaceSelect

extends AbstractSelectComponent
implements org.richfaces.component.InplaceComponent

Author:
  Anton Belevich

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UISelectOne
`INVALID_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractInplaceSelect()`

Method Summary
`abstract String` | `getActiveClass()`
`abstract String` | `getChangedClass()`
`abstract String` | `getDefaultLabel()`
`abstract String` | `getDisabledClass()`
`abstract String` | `getEditEvent()`
`abstract String` | `getInputWidth()`
`abstract String` | `getItemClass()`
`abstract String` | `getListClass()`
`abstract String` | `getOninputclick()`
`abstract String` | `getOninputdblclick()`
`abstract String` | `getOninputkeydown()`
`abstract String` | `getOninputkeypress()`
`abstract String` | `getOninputkeyup()`
`abstract String` | `getOninputmousedown()`
`abstract String` | `getOninputmousemove()`
`abstract String` | `getOninputmouseout()`
`abstract String` | `getOninputmouseover()`
`abstract String` | `getOninputmouseup()`
`abstract String` | `getOninputselect()`
`abstract String` | `getSelectItemClass()`
`abstract org.richfaces.component.InplaceState` | `getState()`
`abstract int` | `getTabindex()`
`abstract boolean` | `isDisabled()`
`abstract boolean` | `isOpenOnEdit()`
`abstract boolean` | `isSaveOnBlur()`
`abstract boolean` | `isSaveOnSelect()`
`abstract boolean` | `isShowControls()`

Methods inherited from class org.richfaces.component.AbstractSelectComponent
`getListHeight, getListWidth, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnlistclick, getOnlistdblclick, getOnlisthide, getOnlistkeydown, getOnlistkeypress, getOnlistkeyup, getOnlistmousedown, getOnlistmousemove, getOnlistmouseout, getOnlistmouseover, getOnlistmouseup, getOnlistshow, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselectitem`

Methods inherited from class javax.faces.component.UISelectOne
`getFamily, validateValue`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractInplaceSelect

    public AbstractInplaceSelect()

Method Detail

### getInputWidth

    public abstract String getInputWidth()

### getState

    public abstract org.richfaces.component.InplaceState getState()

  Specified by:
    `getState` in interface `org.richfaces.component.InplaceComponent`

### isDisabled

    public abstract boolean isDisabled()

  Specified by:
    `isDisabled` in interface `org.richfaces.component.InplaceComponent`

### isOpenOnEdit

    public abstract boolean isOpenOnEdit()

### isSaveOnSelect

    public abstract boolean isSaveOnSelect()

### isSaveOnBlur

    public abstract boolean isSaveOnBlur()

  Specified by:
    `isSaveOnBlur` in interface `org.richfaces.component.InplaceComponent`

### isShowControls

    public abstract boolean isShowControls()

  Specified by:
    `isShowControls` in interface `org.richfaces.component.InplaceComponent`

### getTabindex

    public abstract int getTabindex()

  Specified by:
    `getTabindex` in interface `org.richfaces.component.InplaceComponent`

### getItemClass

    public abstract String getItemClass()

  Specified by:
    `getItemClass` in class `AbstractSelectComponent`

### getSelectItemClass

    public abstract String getSelectItemClass()

  Specified by:
    `getSelectItemClass` in class `AbstractSelectComponent`

### getListClass

    public abstract String getListClass()

  Specified by:
    `getListClass` in class `AbstractSelectComponent`

### getChangedClass

    public abstract String getChangedClass()

  Specified by:
    `getChangedClass` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getChangedClass` in class `AbstractSelectComponent`

### getDefaultLabel

    public abstract String getDefaultLabel()

  Specified by:
    `getDefaultLabel` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getDefaultLabel` in class `AbstractSelectComponent`

### getDisabledClass

    public abstract String getDisabledClass()

  Specified by:
    `getDisabledClass` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getDisabledClass` in class `AbstractSelectComponent`

### getActiveClass

    public abstract String getActiveClass()

  Specified by:
    `getActiveClass` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getActiveClass` in class `AbstractSelectComponent`

### getEditEvent

    public abstract String getEditEvent()

  Specified by:
    `getEditEvent` in interface `org.richfaces.component.InplaceComponent`

### getOninputclick

    public abstract String getOninputclick()

### getOninputdblclick

    public abstract String getOninputdblclick()

### getOninputmousedown

    public abstract String getOninputmousedown()

### getOninputmousemove

    public abstract String getOninputmousemove()

### getOninputmouseout

    public abstract String getOninputmouseout()

### getOninputmouseover

    public abstract String getOninputmouseover()

### getOninputmouseup

    public abstract String getOninputmouseup()

### getOninputkeydown

    public abstract String getOninputkeydown()

### getOninputkeypress

    public abstract String getOninputkeypress()

### getOninputkeyup

    public abstract String getOninputkeyup()

### getOninputselect

    public abstract String getOninputselect()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.